/*****************************************************************************\
 *
 * IBPgameActorsRegistry.h
 *
 * IBPgameActorsRegistry - Class for registering Actors in Game Manager
 *
 * Authors: Luk Martanovi (xmarta00 _AT stud.fit.vutbr.cz)
 *
 * Contributors:
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, authors will kindly welcome
 * if you give them credit and keep their names with their source code,
 * but do not feel to be forced to do so.
 *
\*****************************************************************************/

#ifndef IBP_GAR
#define IBP_GAR

#include <dtDAL/actorpluginregistry.h>
#include "export.h"

class IBP_EXPORT IBPgameActorsRegistry : public dtDAL::ActorPluginRegistry
{
public:
      IBPgameActorsRegistry();

      virtual void RegisterActorTypes();

private:
      dtCore::RefPtr<dtDAL::ActorType> PlayerActorType;
	  dtCore::RefPtr<dtDAL::ActorType> InteractiveActorType;
	  dtCore::RefPtr<dtDAL::ActorType> EnterTriggerActorType;
	  dtCore::RefPtr<dtDAL::ActorType> CollectibleActorType;
	  dtCore::RefPtr<dtDAL::ActorType> RadarActorType;
	  dtCore::RefPtr<dtDAL::ActorType> TreasureActorType;
	  dtCore::RefPtr<dtDAL::ActorType> VehicleActorType;
};

#endif