/*****************************************************************************\
 *
 * MyMessages.cpp
 *
 * MyMessageType - Specific message types
 *
 * Authors: Luk Martanovi (xmarta00 _AT stud.fit.vutbr.cz)
 *
 * Contributors:
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, authors will kindly welcome
 * if you give them credit and keep their names with their source code,
 * but do not feel to be forced to do so.
 *
\*****************************************************************************/

#include "MyMessages.h"

IMPLEMENT_ENUM(MyMessageType);

const MyMessageType MyMessageType::STATE_MENU("STATE_MENU", "INFO", "State changed to menu", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 1);
const MyMessageType MyMessageType::STATE_FLYBY("STATE_FLYBY", "INFO", "Intro started", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 2);
const MyMessageType MyMessageType::STATE_GAME("STATE_GAME", "INFO", "Game started/resumed", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 3);
const MyMessageType MyMessageType::STATE_PAUSED("STATE_PAUSED", "INFO", "Game paused", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 4);
const MyMessageType MyMessageType::STATE_DEBRIEF_S("STATE_DEBRIEF_S", "INFO", "Game ended - success", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 5);
const MyMessageType MyMessageType::STATE_DEBRIEF_F("STATE_DEBRIEF_F", "INFO", "Game ended - failure", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 6);
const MyMessageType MyMessageType::INTERSECTED("INTERSECTED", "INFO", "Interactive object in front of player", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 7);
const MyMessageType MyMessageType::NOT_INTERSECTED("NOT_INTERSECTED", "INFO", "Nothing is intersected", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 8);
const MyMessageType MyMessageType::ITEM_COLLECTED("ITEM_COLLECTED", "INFO", "Collectible item added to inventory", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 9);
const MyMessageType MyMessageType::TOGGLE_RADAR("TOGGLE_RADAR", "INFO", "Radar on/off", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 10);
const MyMessageType MyMessageType::GAME_RETURN("GAME_RETURN", "INFO", "Returned to game from help screen", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 11);
const MyMessageType MyMessageType::VEHICLE_ENTERED("VEHICLE_ENTERED", "INFO", "Player entered vehicle", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 12);
const MyMessageType MyMessageType::VEHICLE_LEFT("VEHICLE_LEFT", "INFO", "Player left vehicle", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 13);
const MyMessageType MyMessageType::RESET("RESET", "INFO", "Game reset", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 14);
const MyMessageType MyMessageType::VEHICLE_MOVES("VEHICLE_MOVES", "INFO", "Vehicle moves", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 15);
const MyMessageType MyMessageType::VEHICLE_STOPPED("VEHICLE_STOPPED", "INFO", "Vehicle stopped", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 16);
const MyMessageType MyMessageType::SHOW_HINT("SHOW_HINT", "INFO", "Show hint text", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 17);
const MyMessageType MyMessageType::HIDE_HINT("HIDE_HINT", "INFO", "Hide hint text", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 18);
const MyMessageType MyMessageType::HOUSE_ENTER_POSSIBLE("HOUSE_ENTER_POSSIBLE", "INFO", "EnterTrigger triggered", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 19);
const MyMessageType MyMessageType::HOUSE_ENTER_IMPOSSIBLE("HOUSE_ENTER_IMPOSSIBLE", "INFO", "EnterTrigger out of range", dtGame::MessageType::USER_DEFINED_MESSAGE_TYPE + 20);