/*****************************************************************************\
 *
 * MyMessages.h
 *
 * MyMessageType - Specific message types
 *
 * Authors: Luk Martanovi (xmarta00 _AT stud.fit.vutbr.cz)
 *
 * Contributors:
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, authors will kindly welcome
 * if you give them credit and keep their names with their source code,
 * but do not feel to be forced to do so.
 *
\*****************************************************************************/

#ifndef MESSAGES_H
#define MESSAGES_H

#include <dtGame/messagetype.h>
#include "export.h"

//definicia vlastnych typov sprav
class IBP_EXPORT MyMessageType : public dtGame::MessageType
{
	DECLARE_ENUM(MyMessageType);

public:
	static const MyMessageType STATE_MENU;
	static const MyMessageType STATE_FLYBY;
	static const MyMessageType STATE_GAME;
	static const MyMessageType STATE_PAUSED;
	static const MyMessageType STATE_DEBRIEF_S;
	static const MyMessageType STATE_DEBRIEF_F;
	static const MyMessageType INTERSECTED;
	static const MyMessageType NOT_INTERSECTED;
	static const MyMessageType ITEM_COLLECTED;
	static const MyMessageType TOGGLE_RADAR;
	static const MyMessageType GAME_RETURN;
	static const MyMessageType VEHICLE_ENTERED;
	static const MyMessageType VEHICLE_LEFT;
	static const MyMessageType RESET;
	static const MyMessageType VEHICLE_MOVES;
	static const MyMessageType VEHICLE_STOPPED;
	static const MyMessageType SHOW_HINT;
	static const MyMessageType HIDE_HINT;
	static const MyMessageType HOUSE_ENTER_POSSIBLE;
	static const MyMessageType HOUSE_ENTER_IMPOSSIBLE;

private:
	
	MyMessageType(const std::string &name, 
				  const std::string &cat, 
				  const std::string &desc, 
				  const unsigned short int id) : dtGame::MessageType(name, cat, desc, id)
	{
	}
};
#endif