/*****************************************************************************\
 *
 * collectibleActor.h
 *
 * CollectibleActor - Actor class representing collectible object
 * CollectibleActorProxy - Proxy class
 *
 * Authors: Luk Martanovi (xmarta00 _AT stud.fit.vutbr.cz)
 *
 * Contributors:
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, authors will kindly welcome
 * if you give them credit and keep their names with their source code,
 * but do not feel to be forced to do so.
 *
\*****************************************************************************/

#ifndef COLLECTIBLE_ACTOR_H
#define COLLECTIBLE_ACTOR_H

#include <dtGame/message.h>
#include "interactiveActor.h"
#include "export.h"

class IBP_EXPORT CollectibleActor : public InteractiveActor
{
public:
	CollectibleActor(dtGame::GameActorProxy &proxy);

	virtual void ProcessMessage(const dtGame::Message &message);
	void SetCollected(bool set);
	bool isCollected;
protected:
	~CollectibleActor();
	
};

/*------------------------ !!! COLLECTIBLE ACTOR PROXY !!! -----------------------*/

class IBP_EXPORT CollectibleActorProxy : public InteractiveActorProxy
{
public:
	CollectibleActorProxy();
	~CollectibleActorProxy();

	virtual void BuildPropertyMap();
	virtual void BuildInvokables();
	virtual void CreateActor();

	virtual void OnEnteredWorld();
};
#endif