/*****************************************************************************\
 *
 * interactiveActor.cpp
 *
 * InteractiveActor - Base class for all interactive Actors
 * InteractiveActorProxy - Proxy class
 *
 * Authors: Luk Martanovi (xmarta00 _AT stud.fit.vutbr.cz)
 *
 * Contributors:
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, authors will kindly welcome
 * if you give them credit and keep their names with their source code,
 * but do not feel to be forced to do so.
 *
\*****************************************************************************/

#include "interactiveActor.h"

InteractiveActor::InteractiveActor(dtGame::GameActorProxy &proxy)
	: dtActors::GameMeshActor(proxy)
{
}

InteractiveActor::~InteractiveActor()
{
}

/* ---------------------------------!!! INTERACTIVE ACTOR PROXY !!!-------------------------------------- */

InteractiveActorProxy::InteractiveActorProxy()
{
}

InteractiveActorProxy::~InteractiveActorProxy()
{
}

void InteractiveActorProxy::BuildPropertyMap()
{
	dtActors::GameMeshActorProxy::BuildPropertyMap();
}

void InteractiveActorProxy::BuildInvokables()
{
	dtActors::GameMeshActorProxy::BuildInvokables();
}

void InteractiveActorProxy::CreateActor()
{
	SetActor(*new InteractiveActor(*this));
}

void InteractiveActorProxy::OnEnteredWorld()
{
	dtActors::GameMeshActorProxy::OnEnteredWorld();
}