#include <dtCore/refptr.h>
#include <dtGame/gameapplication.h>
#include <dtGame/exceptionenum.h>
#include <dtGame/gamemanager.h>
#include <dtUtil/fileutils.h>
#include <dtUtil/exception.h>
#include <dtUtil/log.h>

#include <iostream>
#include <cstdlib>

int main(int argc, char** argv)
{
   //vypnutie HTML logu
   dtUtil::Log::GetInstance().SetOutputStreamBit(dtUtil::Log::TO_CONSOLE);

   std::string configFileName("config.xml");

   try
   {
      dtCore::RefPtr<dtGame::GameApplication> app = new dtGame::GameApplication(argc, argv, configFileName);
      app->SetGameLibraryName("IBPlib");
      app->Config();
      app->Run();
	  app = NULL;

	  std::cout << "Quitting..."<<std::endl;
   }
   catch (const dtUtil::Exception& ex)
   {
      LOG_ERROR("GameStart caught exception: ");
      ex.LogException(dtUtil::Log::LOG_ERROR);
      return -1;
   }
   return 0;
}
