/*****************************************************************************\
 *
 * treasureActor.h
 *
 * TreasureActor - Class representing treasure
 * TreasureActorProxy - Proxy class
 *
 * Authors: Luk Martanovi (xmarta00 _AT stud.fit.vutbr.cz)
 *
 * Contributors:
 *
 * ----------------------------------------------------------------------------
 *
 * THIS SOFTWARE IS NOT COPYRIGHTED
 *
 * This source code is offered for use in the public domain.
 * You may use, modify or distribute it freely.
 *
 * This source code is distributed in the hope that it will be useful but
 * WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
 * DISCLAIMED.  This includes but is not limited to warranties of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * If you find the source code useful, authors will kindly welcome
 * if you give them credit and keep their names with their source code,
 * but do not feel to be forced to do so.
 *
\*****************************************************************************/

#ifndef USABLE_ACTOR_H
#define USABLE_ACTOR_H

#include <dtAudio/sound.h>
#include <dtCore/particlesystem.h>
#include <dtGame/message.h>
#include "export.h"
#include "interactiveActor.h"

class IBP_EXPORT TreasureActor : public InteractiveActor
{
public:
	TreasureActor(dtGame::GameActorProxy &proxy);

	void Init();
	bool IsUsed();	//je pouzity?
	void Use(bool reset);		//aktivacia/pouzitie objektu
	void Explode();

protected:
	~TreasureActor();

private:
	virtual void ProcessMessage(const dtGame::Message &message);
	void SetUsed(bool use);

	bool used;

	dtCore::RefPtr<dtAudio::Sound> explosionSound;
	dtCore::RefPtr<dtCore::ParticleSystem> explosionSystem;
};

/*------------------------ !!! USABLE ACTOR PROXY !!! -----------------------*/

class IBP_EXPORT TreasureActorProxy : public InteractiveActorProxy
{
public:
	TreasureActorProxy();
	~TreasureActorProxy();

	virtual void BuildPropertyMap();
	virtual void BuildInvokables();
	virtual void CreateActor();

	virtual void OnEnteredWorld();
};

#endif